BulkOutputFormat (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.hadoop

## Class BulkOutputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<K,V>
  - - org.apache.cassandra.hadoop.AbstractBulkOutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>
    - - org.apache.cassandra.hadoop.BulkOutputFormat

- All Implemented Interfaces:
    org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>

      public class BulkOutputFormat
      extends AbstractBulkOutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.hadoop.AbstractBulkOutputFormat

      `AbstractBulkOutputFormat.NullOutputCommitter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkOutputFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BulkRecordWriter` | `getRecordWriter(org.apache.hadoop.fs.FileSystem filesystem, org.apache.hadoop.mapred.JobConf job, java.lang.String name, org.apache.hadoop.util.Progressable progress)` Deprecated.
    `BulkRecordWriter` | `getRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)`

    - ### Methods inherited from class org.apache.cassandra.hadoop.AbstractBulkOutputFormat

      `checkOutputSpecs, checkOutputSpecs, getOutputCommitter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkOutputFormat

          public BulkOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          @Deprecated
          public BulkRecordWriter getRecordWriter(org.apache.hadoop.fs.FileSystem filesystem,
                                                    org.apache.hadoop.mapred.JobConf job,
                                                    java.lang.String name,
                                                    org.apache.hadoop.util.Progressable progress)
                                           throws java.io.IOException

      Deprecated.
      Fills the deprecated OutputFormat interface for streaming.
      Throws:
        `java.io.IOException`

    - #### getRecordWriter

          public BulkRecordWriter getRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)
                                           throws java.io.IOException,
                                                  java.lang.InterruptedException

      Specified by:
        `getRecordWriter` in class `org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2014 The Apache Software Foundation